/****************************************************************************
 * 1:1문의내역 리스트 조회
 ****************************************************************************/
function fn_selectListUserInquiryJson(){
    let formData = new FormData();
    $.ajax({
        url: encodeURI('/mobileuserinquiry/selectListUserInquiry.do'),
        data: formData,
        dataType: "json",
        processData: false,
        contentType: false,
        type: 'POST',
        async: true,
        success: function(data){
            if('0'==data.msgCode){
                $('main ul').empty();
                if(0<data.totalCount){
                    data.rows.forEach((inquiryData,index)=>{
                        const innerHtml = ` <li onclick="fn_selectInquiryPopup('${inquiryData.muUserInquiryId}')">
                                                <div>
                                                    <p>${inquiryData.title}</p>
                                                    <p>${inquiryData.writeDate}</p>
                                                </div>
                                                <div><p>${inquiryData.answerStatus}</p></div>
                                            </li>`;
                        $('main ul').append(innerHtml);
                    });

                } else {
                    const innerHtml = `<li><p>문의내역이 없습니다</p></li>`;
                    $('main ul').append(innerHtml);
                }
            }
            else{
                modalEvent.danger("조회 오류", data.msgDesc);
            }
        },
        error : function(xhr, status, error) {
            modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
        },
        beforeSend:function(){
        },
        complete:function(){

        }
    });
}

function fn_selectInquiryPopup(param){
    let reqParam =  {
        "muUserInquiryId" : param
    };

    userInquirySelectModal.popup(function(obj, reqParam) {
        fn_selectListUserInquiryJson();
    }, reqParam);


}
/****************************************************************************
 * 페이지 init
 ****************************************************************************/
function fn_pageInit(){
    fn_selectListUserInquiryJson();
}

/****************************************************************************
 * 페이지 event
 ****************************************************************************/
function fn_pageEvent(){
}

$(function(){
    // 페이지 init
    fn_pageInit();

    // 페이지 event
    fn_pageEvent();
});